#include "DataCollector.h"
#include "CellMLToRDFTree.h"
#include <nsGenericFactory.h>

NS_GENERIC_FACTORY_CONSTRUCTOR(DataCollector);
NS_GENERIC_FACTORY_CONSTRUCTOR(CellMLToRDFTree);

#define DATACOLLECTOR_CID \
{/*e97f3418-03fe-4cbf-9e66-d4cd328525d7*/\
 0xe97f3418, 0x03fe, 0x4cbf, {0xd4,0xcd,0x32,0x85,0x25,0xd7}}

#define CELLML_TO_RDFTREE_CID \
{/*82ec9a07-2f65-4466-8ab9-992dc4766762*/\
 0x82ec9a07, 0x2f65, 0x4466, {0x8a,0xb9,0x99,0x2d,0xc4,0x76,0x67,0x62}}

static const nsModuleComponentInfo components[] = 
{
  {
    "DataCollector",
    DATACOLLECTOR_CID,
    "@cellml.org/tools/pcenv/datacollector;1",
    DataCollectorConstructor
  },
  {
    "CellMLToRDFTree",
    CELLML_TO_RDFTREE_CID,
    "@cellml.org/tools/pcenv/cellmlToRDFTree;1",
    CellMLToRDFTreeConstructor
  }
};
NS_IMPL_NSGETMODULE(DataCollector, components)
